### Type parameters

- #### T

### Hierarchy

- ReadonlySet

## Index

### Methods

- __@iterator
- entries
- keys
- values

## Methods

### __@iterator

- __@iterator(): IterableIterator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:181

  Iterates over values in the set.

  #### Returns IterableIterator<T>

### entries

- entries(): IterableIterator<[T, T]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:186

  Returns an iterable of [v,v] pairs for every value `v` in the set.

  #### Returns IterableIterator<[T, T]>

### keys

- keys(): IterableIterator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:191

  Despite its name, returns an iterable of the values in the set,

  #### Returns IterableIterator<T>

### values

- values(): IterableIterator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:196

  Returns an iterable of values in the set.

  #### Returns IterableIterator<T>

Generated using TypeDoc